Subject: Re: [PATCH] rebase -i -p: use rerere to resolve conflicts if enabled

From: Johannes Sixt <[email-masked]>
Date: Sun, 17 Jun 2012 20:30:42 +0200

Am 17.06.2012 15:46, schrieb David Kilzer:
> If it could be guaranteed that all changes in a merge commit would be
> preserved when running "git rebase -i -p" with rerere.autoupdate
> enabled, I think that would be an argument for not returning control
> to the user during the rebase operation.  However, changes to
> non-conflicted files in a merge commit are currently lost in this
> case, so it would be too dangerous to enable this behavior now.

You can test this patch:

  git://repo.or.cz/git/mingw/j6t.git preserve-merges-by-cherry-pick

I think it suits you needs unless you run into the one use-case where
the patch is a regression (as documented by the new test_expect_failure
in the test suite).

-- Hannes